zenilib: zenilib/jni/external/freetype2/src/truetype/ttinterp.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Macros | Typedefs | Functions | Variables
ttinterp.h File Reference
`#include <ft2build.h>`
`#include "ttobjs.h"`

Go to the source code of this file.

## Classes

struct | TT_CallRec_
struct | TT_ExecContextRec_

## Macros

#define | EXEC_ARG exc
#define | EXEC_ARG_ exc,
#define | EXEC_OP TT_ExecContext exc
#define | EXEC_OP_ TT_ExecContext exc,
#define | TT_Round_Down_To_Grid 3
#define | TT_Round_Off 5
#define | TT_Round_Super 6
#define | TT_Round_Super_45 7
#define | TT_Round_To_Double_Grid 2
#define | TT_Round_To_Grid 1
#define | TT_Round_To_Half_Grid 0
#define | TT_Round_Up_To_Grid 4

## Typedefs

typedef struct TT_CallRec_ | TT_CallRec
typedef struct TT_CallRec_ * | TT_CallStack
typedef struct TT_ExecContextRec_ | TT_ExecContextRec
typedef FT_F26Dot6(* | TT_Get_CVT_Func )(EXEC_OP_ FT_ULong idx)
typedef void(* | TT_Move_Func )(EXEC_OP_ TT_GlyphZone zone, FT_UShort point, FT_F26Dot6 distance)
typedef FT_F26Dot6(* | TT_Project_Func )(EXEC_OP_ FT_Pos dx, FT_Pos dy)
typedef FT_F26Dot6(* | TT_Round_Func )(EXEC_OP_ FT_F26Dot6 distance, FT_F26Dot6 compensation)
typedef void(* | TT_Set_CVT_Func )(EXEC_OP_ FT_ULong idx, FT_F26Dot6 value)

## Functions

| TT_Clear_CodeRange (TT_ExecContext exec, FT_Int range)
| TT_Done_Context (TT_ExecContext exec)
| TT_Goto_CodeRange (TT_ExecContext exec, FT_Int range, FT_Long IP)
| TT_Load_Context (TT_ExecContext exec, TT_Face face, TT_Size size)
| TT_New_Context (TT_Driver driver)
| TT_Run_Context (TT_ExecContext exec, FT_Bool debug)
| TT_RunIns (TT_ExecContext exec)
| TT_Save_Context (TT_ExecContext exec, TT_Size ins)
| TT_Set_CodeRange (TT_ExecContext exec, FT_Int range, void *base, FT_Long length)
| Update_Max (FT_Memory memory, FT_ULong *size, FT_Long multiplier, void *_pbuff, FT_ULong new_max)

## Variables

const TT_GraphicsState | tt_default_graphics_state

## Macro Definition Documentation

#define EXEC_ARG exc

Definition at line 34 of file ttinterp.h.

#define EXEC_ARG_ exc,

Definition at line 33 of file ttinterp.h.

#define EXEC_OP TT_ExecContext exc

Definition at line 32 of file ttinterp.h.

#define EXEC_OP_ TT_ExecContext exc,

Definition at line 31 of file ttinterp.h.

#define TT_Round_Down_To_Grid 3

Definition at line 55 of file ttinterp.h.

#define TT_Round_Off 5

Definition at line 50 of file ttinterp.h.

#define TT_Round_Super 6

Definition at line 56 of file ttinterp.h.

#define TT_Round_Super_45 7

Definition at line 57 of file ttinterp.h.

#define TT_Round_To_Double_Grid 2

Definition at line 53 of file ttinterp.h.

#define TT_Round_To_Grid 1

Definition at line 52 of file ttinterp.h.

#define TT_Round_To_Half_Grid 0

Definition at line 51 of file ttinterp.h.

#define TT_Round_Up_To_Grid 4

Definition at line 54 of file ttinterp.h.

## Typedef Documentation

typedef struct TT_CallRec_ TT_CallRec

typedef struct TT_CallRec_ * TT_CallStack

typedef struct TT_ExecContextRec_ TT_ExecContextRec

typedef FT_F26Dot6(* TT_Get_CVT_Func)(EXEC_OP_ FT_ULong idx)

Definition at line 86 of file ttinterp.h.

typedef void(* TT_Move_Func)(EXEC_OP_ TT_GlyphZone zone, FT_UShort point, FT_F26Dot6 distance)

Definition at line 75 of file ttinterp.h.

typedef FT_F26Dot6(* TT_Project_Func)(EXEC_OP_ FT_Pos dx, FT_Pos dy)

Definition at line 81 of file ttinterp.h.

typedef FT_F26Dot6(* TT_Round_Func)(EXEC_OP_ FT_F26Dot6 distance, FT_F26Dot6 compensation)

Definition at line 70 of file ttinterp.h.

typedef void(* TT_Set_CVT_Func)(EXEC_OP_ FT_ULong idx, FT_F26Dot6 value)

Definition at line 91 of file ttinterp.h.

## Function Documentation

TT_Clear_CodeRange | ( | TT_ExecContext | exec,
|  | FT_Int | range
| ) |  |

TT_Done_Context | ( | TT_ExecContext | exec | ) |

Referenced by tt_driver_done().

TT_Goto_CodeRange | ( | TT_ExecContext | exec,
|  | FT_Int | range,
|  | FT_Long | IP
| ) |  |

TT_Load_Context | ( | TT_ExecContext | exec,
|  | TT_Face | face,
|  | TT_Size | size
| ) |  |

Referenced by tt_loader_init().

TT_New_Context | ( | TT_Driver | driver | ) |

Referenced by tt_driver_init().

TT_Run_Context | ( | TT_ExecContext | exec,
|  | FT_Bool | debug
| ) |  |

Referenced by TT_Hint_Glyph().

TT_RunIns | ( | TT_ExecContext | exec | ) |

TT_Save_Context | ( | TT_ExecContext | exec,
|  | TT_Size | ins
| ) |  |

TT_Set_CodeRange | ( | TT_ExecContext | exec,
|  | FT_Int | range,
|  | void * | base,
|  | FT_Long | length
| ) |  |

Referenced by TT_Hint_Glyph().

Update_Max | ( | FT_Memory | memory,
|  | FT_ULong * | size,
|  | FT_Long | multiplier,
|  | void * | _pbuff,
|  | FT_ULong | new_max
| ) |  |

Referenced by TT_Process_Composite_Glyph().

## Variable Documentation

const TT_GraphicsState tt_default_graphics_state

Referenced by tt_loader_init().